#!/usr/bin/env bash

playbook_add() {
	git clone https://git.tyil.nl/blog "$(config www.blog.path)"

	playbook_sync
}

playbook_sync() {
	if [[ $BASHTARD_COMMAND != "add" ]]
	then
		git -C "$(config www.blog.path)" pull origin "$(config www.blog.branch)"
	fi

	chgdir "$(config www.blog.path)"
	hugo -D # This will generate all the draft content
	hugo    # And this will generate the actual live blog, but won't remove the draft content
}

playbook_del() {
	rm -fr -- "$(config www.blog.path)"

	pkg uninstall hugo
}
